---
header-includes: <meta name="title" content="Resume of Sadat Hossain">
  <meta name="description" content="This document contains resume/curriculum vitae/CV of Abu Md Sadat Hossain(in2sadt)">
  <meta property="og:type" content="website">
  <meta property="og:url" content="https://sadathossain.github.io/resume">
  <meta property="og:title" content="Resume of Sadat Hossain">
  <meta property="og:description" content="This document contains resume/curriculum vitae/CV of Abu Md Sadat Hossain(in2sadt)">
  <meta property="og:image" content="https://raw.githubusercontent.com/Sadathossain/resume/master/static/img/metaLogo.jpg">
  <meta property="twitter:card" content="summary_large_image">
  <meta property="twitter:url" content="https://sadathossain.github.io/resume">
  <meta property="twitter:title" content="Resume of Sadat Hossain">
  <meta property="twitter:description" content="This document contains resume/curriculum vitae/CV of Abu Md Sadat Hossain(in2sadt)">
  <meta property="twitter:image" content="https://raw.githubusercontent.com/Sadathossain/resume/master/static/img/metaLogo.jpg">
  <link rel="icon" href="static/img/favicon.ico" type="image/x-icon" sizes="any">
  <style>
  @import url('https://fonts.googleapis.com/css2?family=Rock+Salt&display=swap');
  </style>
---

# Abu Md Sadat Hossain

---

> Specialties: Javascript, ReactJS, NodeJS, React-Native\
> Aspirations: Golang, K8S, IaaS, Distributed Systems\
> Software Engineer\
>  [sadat.hossain@hotmail.com](mailto:sadat.hossain@hotmail.com)\
>  [+8801747367559](tel:+8801747367559), [+8801825445048](tel:+8801825445048)

---

## Experience

**React Native Developer:ZAAG SYSTEMS LTD**

[ZAAG SYSTEMS LTD](https://zaagsys.com/) unlocks the potential it's client website with their skilled front-end developers. We create captivating user interfaces and ensure smooth functionality, delivering exceptional web experiences for your audience.

**Senior Software Engineer:Strativ AB**

[Strativ AB](https://strativ.se/) provides tailored IT solutions which
strengthens the competitiveness of its' clients such as [Docty AB](https://docty.se/), which is one of the leading healthcare provider in Sweden. My experience with Strativ evolves around 4 of the major services offered by Docty:

- [Docty](https://docty.se/)
  - Development and maintenance of the Docty app built with [React Native](https://reactnative.dev/), which helps to track patient records.
- [Dermly](https://dermly.se/)
  - Development and maintenance of the Dermly app built with [React Native](https://reactnative.dev/), which helps nurses to diagnosis the patient with potential skin cancer threat.
- Kroppscheckerna
  - Development and maintenance of the Kroppscheckerna app built with [React Native](https://reactnative.dev/), which helps nurses to diagnosis the patient with potential acne/rosacea threat.
- [Vaccina](https://vaccina.se/)
  - Development and maintenance of the Vaccina web front-end built with [ReactJS](https://reactjs.org/), which provides vaccinations against covid-19, influenza, pneumococci, TBE, chickenpox, hepatitis and shingles at 65 locations in Sweden.
- Operations
  - Implemented [fastlane](https://fastlane.tools/) to automate the iOS deployment.
  - Implemented Private distribution with iOS via redemption code.

**DevOps Engineer:ImagineRadio**

At [ImagineRadio](http://imagineradio.io/) we associate music with moments and moments with emotions - the emotions that define us. So, we have tried to produce playlists for every moment to connect to every emotion on the spectrum. To ensure that, Our technical Stack comprised of Django-Rest-Framework(DRF) and React-Native(RN) for cross-platform app delivery. As a startup, My journey with IR mostly has been delivery oriented and feature centric around these 3 key criteria:

- [React Native](https://reactnative.dev/)
  - Integrated and Maintained couple of [React Native](https://reactnative.dev/) community libraries like [React Native Track Player](https://github.com/react-native-kit/react-native-track-player), [OneSignal](https://github.com/OneSignal/react-native-onesignal), [Sentry](https://docs.sentry.io/platforms/react-native/), [admob](https://github.com/sbugert/react-native-admob), [firebase](https://rnfirebase.io/) etc
  - Implemented Segmented Audio/Video consumption with [HLS](https://en.wikipedia.org/wiki/HTTP_Live_Streaming)
  - Fixed some of the major bug issues with [React Native Track Player](https://github.com/react-native-kit/react-native-track-player) for iOS
  - Implemented IP-based geo restriction, Client-Side Failover and Some core business logic.
- [ReactJS](https://reactjs.org/)
  - Developed web front-end for [ImagineRadio-WEB](https://imagineradio.com.bd/)
  - Implemented CMS integration identical to App backend.
  - Also Implemented Segmented Audio/Video consumption with [HLS](https://en.wikipedia.org/wiki/HTTP_Live_Streaming)
  - Implemented IP-based geo restriction and Some core business logic.
- Operations
  - Implemented [Let's Encrypt](https://letsencrypt.org/) for enabling HTTPS.
  - Implemented Content-Serving-Policy for Segmented audio/video data with [HLS](https://en.wikipedia.org/wiki/HTTP_Live_Streaming)
  - Deploy and Maintain [ImagineRadio-WEB](https://imagineradio.com.bd/)

**Commit-Timeline**

[Commit-Timeline](https://sadathossain.github.io/commit-timeline/) Provides a simple insight of my commit-data for different projects here at [ImagineRadio](http://imagineradio.io/)

- [ImagineRadio(https://sadathossain.github.io/commit-timeline/imagineradio)](https://sadathossain.github.io/commit-timeline/imagineradio)
- [ImagineRadio-Web(https://sadathossain.github.io/commit-timeline/imagineradio-web)](https://sadathossain.github.io/commit-timeline/imagineradio-web)

**alpha:Cloud3 Solution**

At [Cloud3](https://facebook.com/cloud3bd) we develop Modern Cloud
Native Application. We also involve in implementing Energy efficient
hybrid infra-structure solution for customer's on premise :

- Implemented a Wireless Internet Service Provider (WISP) for our client
  at [Homna Cable TV Network](https://www.facebook.com/homnacabletv/)

## Education

2016-2018
: **MSc, Information Technology**; Institute of Information Technology
Dhaka University (Dhaka)

    *Thesis title: 12 Factor Note Application with Micro service Architecture*

2006-2010
: **BSc, Electronics & Communication Engineering**; Khulna University
Khulna

    *Minor: Networking*

2003-2005
: **HSC, Higher Secondary Certificate**; Notre Dame College
Dhaka

    *Major: Science*

2003
: **SSC, Secondary School Certificate**; St. Gregory's High School
Dhaka

    *Major: Science*

## Technical Experience

Open Source Contribution
: As a contributing member of [Kubernetes](https://kubernetes.io/),
[Linux Foundation](https://www.linuxfoundation.org/) had granted me a scholarship for attending [KubeCon 2016](https://www.cncf.io/blog/2016/07/05/kubecon-2016/), Amsterdam, organized by [Cloud Native Computing Foundation](https://www.cncf.io/).

**Certifications**
:

- [TestDome Python](https://www.testdome.com/cert/2szxgref7g)
- Red Hat Certified Server Administrator
- Solar Photo Voltaic Energy Technology

## Other Programming Languages:

**Golang**
My first choice of language is Golang which is a compiled, statically
typed language in the tradition of Algol and C. I started with Golang
in 2016 with 1.6

**Python** I started with Python in the late 2015 through Django.
Later I have been introduced to Flask, Both of them quickly became
my choice of framework for web development.

**Elixir** is a functional, concurrent, general-purpose programming
language that runs on the Erlang virtual machine. I have been introduced to
in the late 2016 with Phoenix. I am still learning it as my first functional
language.

: Basic knowledge of **C++**, **Java**, **Javascript**, **Elm**

[ref]: https://github.com/Sadathossain/

## Activities and Interests

Sports
: Cricket, Lawn Tennis and Football

Hobbies
: Backpacked in Australia, Music and Drawing

Activities
: I was a active member of NDSC. Won couple of prizes on campus fair.

## Other

- Human Languages:

  - Bangla (native speaker)
  - English
